<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Bettie Page &amp; The Curse of the Banshee</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Bettie-Page-The-Curse-of-the-Banshee-3/digital-comic/943773</Web>
  <Summary>The pin-up queen… of adventure is back! Dynamite Entertainment proudly presents: Bettie Page in “The Curse of the Banshee!”

An all-new Bettie Page series under the guidance of writer Stephen Mooney, ably assisted by artist Jethro “Jet” Morales and a host of incredible covers artists, cosplay goddesses and the queen of the pin-up herself – Bettie Page!

In issue 3 Bettie and the Banshee seem to become as one as the curse unfolds all around our hero in high heels (or sensible flats!) Plus: more clues as to the whereabouts of the Key Artefact.

Covers by: Marat Mychaels, Joseph Michael Linsner, Stephen Mooney, Rachel Hollon(Cosplay) and Bettie Page (Vintage Pin-Up Photo)

Stephen Mooney has worked for DC, Marvel and a host of other publishers, but is perhaps best-known as the creator (AND writer AND artist) of Half-Past Danger!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB943773], [ASINB094X9QK4G]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Action/Adventure</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
